Loading...
Searching...
No Matches
event::Service Interface Reference

Event Service. More...

`import <EventService.idl;`

## Public Member Functions

Channel | createChannel ()
| Create a new event channel.
int | destroyChannel (in Channel channel)
| Destroy an event channel.
void | pushEvent (in idl::Event event)
| Push an Event into the service and to all existing receiver channels.
void | pushEvents (in vector< idl::Event > events)
| Push a vector of Events into the service and to all existing receiver channels.

## Public Attributes

constant int | INVALID_CHANNEL = 1

## Detailed Description

Event Service.

Definition at line 172 of file EventService.idl.

## Member Function Documentation

## createChannel()

Channel event::Service::createChannel | ( |  | ) |

Create a new event channel.

Returns
  New event channel reference or nil if all channels have been used

## destroyChannel()

int event::Service::destroyChannel | ( | in Channel | channel | ) |

Destroy an event channel.

Parameters

  channel | Event channel reference

Returns
  0 if OK
  INVALID_CHANNEL if channel is not implemented by this Service

## Member Data Documentation

## INVALID_CHANNEL

constant int event::Service::INVALID_CHANNEL = 1

Definition at line 174 of file EventService.idl.

The documentation for this interface was generated from the following file:

- EventService.idl